> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Import SEC EDGAR filings as templates

> Fetches and parses SEC EDGAR `.htm` filing URLs, converts them to Scribe document format, and stores them as document templates.

Restricted to manager-role users.

Each URL must be on the `sec.gov` domain and end in `.htm`.



## OpenAPI

````yaml post /templates/parser/secgov
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /templates/parser/secgov:
    post:
      tags:
        - Templates
      summary: Import SEC EDGAR filings as templates
      description: >-
        Fetches and parses SEC EDGAR `.htm` filing URLs, converts them to Scribe
        document format, and stores them as document templates.


        Restricted to manager-role users.


        Each URL must be on the `sec.gov` domain and end in `.htm`.
      operationId: createSecGovDocuments
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                secGovDocuments:
                  type: array
                  items:
                    type: object
                    properties:
                      url:
                        type: string
                        format: uri
                      title:
                        type: string
                      publisher:
                        type: string
                      category:
                        type: string
                      description:
                        type: string
                    required:
                      - url
                  minItems: 1
                projectId:
                  type: string
                  minLength: 1
                workspaceId:
                  type: string
                  minLength: 1
                addToTemplates:
                  type: boolean
              required:
                - secGovDocuments
                - projectId
                - workspaceId
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: boolean
                    enum:
                      - true
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````